Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SalesConfirm/FrmSalesConfirm.Designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SalesConfirm/FrmSalesConfirm.Designer.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SalesConfirm/FrmSalesConfirm.Designer.cs	(revision 88)
@@ -1134,18 +1152,6 @@
         private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalAuthority_10;
         private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalDate_10;
         private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalOrder_10;
-        private System.Windows.Forms.Label label5;
-        private System.Windows.Forms.ComboBox comboBox3;
-        private System.Windows.Forms.Label label4;
-        private System.Windows.Forms.ComboBox comboBox2;
-        private System.Windows.Forms.Label label1;
-        private System.Windows.Forms.RadioButton radioButton2;
-        private System.Windows.Forms.RadioButton radioButton1;
-        private System.Windows.Forms.NumericUpDown numericUpDown2;
-        private System.Windows.Forms.Label label7;
-        private System.Windows.Forms.Label label6;
-        private CustomControls.GroupBoxEx groupBoxEx1;
-        private System.Windows.Forms.ComboBox comboBox1;
     }
 }
 
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SalesConfirm/FrmSalesConfirm.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SalesConfirm/FrmSalesConfirm.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SalesConfirm/FrmSalesConfirm.cs	(revision 88)
@@ -340,8 +340,8 @@
             public bool Deleted = false;
             public int SeqNo;
             public string DepositDate;
-            public int? DepositAmountCash;
-            public int? DepositAmountBill;
+            public long? DepositAmountCash;
+            public long? DepositAmountBill;
             public bool CanRemove
             {
                 get
@@ -372,14 +372,14 @@
             public string ConstructionNameRow;
             //public string PaymentSchedule;
             public string BillCreationDate;
-            public int BillPrice;
-            public int TaxPrice;
-            public int DepositAmount;
-            public int DiscountAmount;
-            public int CnstrPrice;
-            public int Fees;
-            public int OtherAdjustments;
-            public int CarryAmount;
+            public long BillPrice;
+            public long TaxPrice;
+            public long DepositAmount;
+            public long DiscountAmount;
+            public long CnstrPrice;
+            public long Fees;
+            public long OtherAdjustments;
+            public long CarryAmount;
             public string ApprovalPersonName;
             public int ApprovalPersonCode;
             public string ApprovalDate;
@@ -838,7 +838,7 @@
                     OrderersCode = depositOrderer.OrderersCode,
                     ConstructionName = CommonMotions.cnvString(unknownCell[(int)DispColumn.ConstructionName].Value),
                     ConstructionName_Raw = CommonMotions.cnvString(unknownCell[(int)DispColumn.ConstructionName_Raw].Value),
-                    DepositAmount = CommonMotions.cnvInt(unknownCell[(int)DispColumn.DepositAmount].Value),
+                    DepositAmount = CommonMotions.cnvLong(unknownCell[(int)DispColumn.DepositAmount].Value),
                     ReadOnly = true,
                 });
                 f.FormClosed += new FormClosedEventHandler(NotifyAddFld_FormClosed);
@@ -1700,14 +1700,14 @@
                     }
                     // 入金予定日未実装
                     dd.BillCreationDate = CommonMotions.cnvString(detail[(int)ClickGetData.BillCreationDate]);
-                    dd.BillPrice = CommonMotions.cnvInt(detail[(int)ClickGetData.BillPrice]);
-                    dd.TaxPrice = CommonMotions.cnvInt(detail[(int)ClickGetData.TaxPrice]);
-                    dd.DepositAmount = CommonMotions.cnvInt(detail[(int)ClickGetData.DepositAmount]);
-                    dd.DiscountAmount = CommonMotions.cnvInt(detail[(int)ClickGetData.DiscountAmount]);
-                    dd.CnstrPrice = CommonMotions.cnvInt(detail[(int)ClickGetData.CnstrPrice]);
-                    dd.Fees = CommonMotions.cnvInt(detail[(int)ClickGetData.Fees]);
-                    dd.OtherAdjustments = CommonMotions.cnvInt(detail[(int)ClickGetData.OtherAdjustments]);
-                    dd.CarryAmount = CommonMotions.cnvInt(detail[(int)ClickGetData.CarryAmount]);
+                    dd.BillPrice = CommonMotions.cnvLong(detail[(int)ClickGetData.BillPrice]);
+                    dd.TaxPrice = CommonMotions.cnvLong(detail[(int)ClickGetData.TaxPrice]);
+                    dd.DepositAmount = CommonMotions.cnvLong(detail[(int)ClickGetData.DepositAmount]);
+                    dd.DiscountAmount = CommonMotions.cnvLong(detail[(int)ClickGetData.DiscountAmount]);
+                    dd.CnstrPrice = CommonMotions.cnvLong(detail[(int)ClickGetData.CnstrPrice]);
+                    dd.Fees = CommonMotions.cnvLong(detail[(int)ClickGetData.Fees]);
+                    dd.OtherAdjustments = CommonMotions.cnvLong(detail[(int)ClickGetData.OtherAdjustments]);
+                    dd.CarryAmount = CommonMotions.cnvLong(detail[(int)ClickGetData.CarryAmount]);
                     dd.ApprovalPersonCode = CommonMotions.cnvInt(detail[(int)ClickGetData.ApprovalPersonCode]);
                     dd.ApprovalEndFlg = CommonMotions.cnvInt(detail[(int)ClickGetData.ApprovalEndFlg]);
                     dd.ApprovalPersonName = CommonMotions.cnvString(detail[(int)ClickGetData.PersonName]);
@@ -1867,6 +1867,17 @@
                 //　検索条件(動的)END
                 /////////////////////////////////////////////////////////////////////////////
 
+                //sql.Append("INNER JOIN( ");
+                //sql.Append("SELECT ");
+                //sql.Append("ORDERERSDIVISION ");
+                //sql.Append(",ORDERERSCODE");
+                //sql.Append(",SUM(DEPOSITAMOUNT) AS DEPOSITAMOUNT_SUM ");
+                //sql.Append("FROM ");
+                //sql.Append("depositdata ");
+                //sql.Append("GROUP BY ");
+                //sql.Append("ORDERERSDIVISION ");
+                //sql.Append(",ORDERERSCODE ");
+                //sql.Append(") AS AMOUNT ");
                 sql.Append("INNER JOIN( ");
                 sql.Append("SELECT ");
                 sql.Append("ORDERERSDIVISION ");
@@ -1873,7 +1884,7 @@
                 sql.Append(",ORDERERSCODE");
                 sql.Append(",SUM(DEPOSITAMOUNT) AS DEPOSITAMOUNT_SUM ");
                 sql.Append("FROM ");
-                sql.Append("depositdata ");
+                sql.Append("DEPOSITDATADETAIL DTL ");
                 sql.Append("GROUP BY ");
                 sql.Append("ORDERERSDIVISION ");
                 sql.Append(",ORDERERSCODE ");
@@ -2467,19 +2478,19 @@
         private void AddUnknownRow(DepositOrderer depositOrderer, int index)
         {
             // 不明行金額の計算
-            var depositAmountCash = 0;
-            var depositAmountBill = 0;
+            long depositAmountCash = 0;
+            long depositAmountBill = 0;
             foreach (var deposit in depositOrderer.Deposits)
             {
                 depositAmountCash += deposit.DepositAmountCash.GetValueOrDefault(0);
                 depositAmountBill += deposit.DepositAmountBill.GetValueOrDefault(0);
             }
-            var depositAmount = 0;
+            long depositAmount = 0;
             foreach (var depositDetail in depositOrderer.DepositDetails)
             {
                 depositAmount += depositDetail.DepositAmount;
             }
-            var unknownAmount = (depositAmountCash + depositAmountBill) - depositAmount;
+            long unknownAmount = (depositAmountCash + depositAmountBill) - depositAmount;
             if (unknownAmount <= 0)
                 return;
             // 不明行は入金明細の一番下に作成する
@@ -2502,16 +2513,16 @@
             SetPrice(row.Cells, (int)DispColumn.DepositAmount, unknownAmount);
         }
 
-        private int CalculateDifference(DepositOrderer depositOrderer)
+        private long CalculateDifference(DepositOrderer depositOrderer)
         {
-            var depositAmountCash = 0;
-            var depositAmountBill = 0;
+            long depositAmountCash = 0;
+            long depositAmountBill = 0;
             foreach (var deposit in depositOrderer.Deposits)
             {
                 depositAmountCash += deposit.DepositAmountCash.GetValueOrDefault(0);
                 depositAmountBill += deposit.DepositAmountBill.GetValueOrDefault(0);
             }
-            var depositAmount = 0;
+            long depositAmount = 0;
             foreach (var depositDetail in depositOrderer.DepositDetails)
             {
                 depositAmount += depositDetail.DepositAmount;
@@ -2525,21 +2536,21 @@
         /// <param name="index"></param>
         private void AddTotalRow(DepositOrderer depositOrderer, int index)
         {
-            var depositAmountCash = 0;
-            var depositAmountBill = 0;
+            long depositAmountCash = 0;
+            long depositAmountBill = 0;
             foreach (var deposit in depositOrderer.Deposits)
             {
                 depositAmountCash += deposit.DepositAmountCash.GetValueOrDefault(0);
                 depositAmountBill += deposit.DepositAmountBill.GetValueOrDefault(0);
             }
-            var billPrice = 0;
-            var taxPrice = 0;
-            var depositAmount = 0;
-            var discountAmount = 0;
-            var cnstrPrice = 0;
-            var fees = 0;
-            var otherAdjustments = 0;
-            var carryAmount = 0;
+            long billPrice = 0;
+            long taxPrice = 0;
+            long depositAmount = 0;
+            long discountAmount = 0;
+            long cnstrPrice = 0;
+            long fees = 0;
+            long otherAdjustments = 0;
+            long carryAmount = 0;
             foreach (var depositDetail in depositOrderer.DepositDetails)
             {
                 billPrice += depositDetail.BillPrice;
@@ -2648,7 +2659,7 @@
             return 0;
         }
 
-        private void SetPrice(DataGridViewCellCollection cells, int index, int price)
+        private void SetPrice(DataGridViewCellCollection cells, int index, long price)
         {
             cells[index].Value = price.ToString("#,0");
             cells[index].Style.ForeColor = Color.Black;
